﻿using System;
using PREPTOOLLib;

namespace frm
{
    class Frm
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイルを作成、入力ファイルを開く
            if (!doc.New("out.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }
            if (!doc.InputOpen("input.pdf"))
            {
                Console.WriteLine("'input.pdf'を開けません");
                Environment.Exit(2);
            }

            //２つのフィールドを追加してフォームデータをセットする
            IDoc inp = doc.Input();
            inp.AddTextField("field1", "", 50, 250, 200, 40, 1, PTFormFontType.PTffCour, 12, 0, PTFormFlags.PTFlagFormMultiline, PTAnnotFlags.PTFlagAnnotPrintable, 0, 0xa0ffa0, 0, 0);
            doc.InputSetFormData("field1", "ABCD EFGH IKJK LMNO PQRS TUVW XYZ", PTFormFlags.PTFlagFormMultiline, PTAnnotFlags.PTFlagAnnotPrintable);

            inp.AddTextField("field2", "", 50, 350, 200, 40, 1, PTFormFontType.PTffCour, 12, 0, PTFormFlags.PTFlagFormMultiline, PTAnnotFlags.PTFlagAnnotPrintable, 0, 0xa0ffa0, 0, 0);
            doc.InputSetFormData("field2", "1234 5678 9012 3456 7890", PTFormFlags.PTFlagFormMultiline, PTAnnotFlags.PTFlagAnnotPrintable);

            //すべてをコピーして文書を閉じる
            doc.InputCopyAll();
            doc.Close();
        }
    }
}
