﻿using System;
using PREPTOOLLib;

namespace cat
{
    class Cat
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイル
            if (!doc.New("output.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }

            //１っめのファイルを開く
            IDoc in1 = new IDoc();
            if (!in1.Open("first.pdf", null))
            {
                Console.WriteLine("'first.pdf'を開けません");
                Environment.Exit(2);
            }

            //１っめのファイルを出力ファイルにコピー
            doc.Attach(in1);
            doc.InputCopyAll();

            //２っめのファイルを開いて出力ファイルにコピー
            if(!doc.InputOpen("second.pdf"))
            {
                Console.WriteLine("'first.pdf'を開けません");
                Environment.Exit(2);
            }
            doc.InputCopyAll();

            //出力ファイルを閉じる
            doc.Close();
        }
    }
}
