﻿using System;
using PREPTOOLLib;

namespace flt
{
    class Flt
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイルを作成、入力ファイルを開く
            if (!doc.New("out.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }
            if (!doc.InputOpen("input.pdf"))
            {
                Console.WriteLine("'input.pdf'を開けません");
                Environment.Exit(2);
            }

            //テキストフィールド "field1"を追加し、データをセットする
            doc.Input().AddTextField("field1", "", 50, 250, 200, 40, 1, PTFormFontType.PTffCour/*4*/, 12, 0, PTFormFlags.PTFlagFormMultiline/*4096*/, PTAnnotFlags.PTFlagAnnotPrintable/*4*/, 0, 0xa0ffa0, 0, 0x000000);
            doc.InputSetFormData("field1", "ABCD EFHG IKJK LMNO PQRS TUVW XYZ", PTFormFlags.PTFlagFormMultiline/*4096*/, PTAnnotFlags.PTFlagAnnotPrintable/*4*/);

            doc.SetFlatten(true, PTFlattenMode.PTFlattenVisibleOrPrintable);

            doc.InputCopyAll();
            doc.Close();
        }
    }
}
